
; Compute decompressed HET/SIT compressed counter values.  The HET
; and SIT counters are compressed using an 11-bit
; mantissa and a 5-bit exponent.
;
; Parameters
;   compressed = set of compressed counter values to be decompressed.


function decompressHetSitCounters, compressed

common sep_b

  decompressed = ulong64(compressed) and 'FFFF'XL
  power = ishft(decompressed, -11)
  index = where(power gt 1, count)
  if (count gt 0) then begin
    decompressed[index] = (decompressed[index] and '7ff'X) or '800'X
    decompressed[index] = ishft(decompressed[index], power[index] - 1)
  endif

  index2 = where(decompressed gt 'FFFFFF'X, count)
  if (count gt 0) then $
       decompressed[index2] = ulong64(FILL_L)

  return, long(decompressed)
end

