PRO FIND_FACTORS_FILES, SCid, tai_time, FACTORS_FILENM, need_to_read

; Figure out which Beacon factors files to read in, if any
; 
; April 06, 2007: Initial version, totally inadequate really.., Andrew Davis, Caltech
; April 17, 2007: Added LET ahead downtime period Andrew Davis, Caltech
; April 19, 2007: Rewrite to use a calibration file database

common sep_b

IF ((first_frameA eq 1) || (first_frameB eq 1)) THEN BEGIN
   read_sep_beacon_caldb
ENDIF

IF (SCid eq 235) then BEGIN
   FOR ii=0, caln_b -1 DO BEGIN
      IF (tai_time lt caltimes_b[ii]) THEN BEGIN
         factors_filenm = concat_dir('$IMPACT_CALIB_DATA' , calfnames_b[ii])
         break
      ENDIF
   ENDFOR
   IF (ii eq caln_b) THEN BEGIN
      printf, -2, 'Warning: timestamp beyond end of Behind SEP caldb: Using Last Behind SEP factors file'
      factors_filenm = concat_dir('$IMPACT_CALIB_DATA' , calfnames_b[caln_b -1])
   ENDIF
ENDIF ELSE BEGIN 
   FOR ii=0, caln_a -1 DO BEGIN
      IF (tai_time lt caltimes_a[ii]) THEN BEGIN
         factors_filenm = concat_dir('$IMPACT_CALIB_DATA' , calfnames_a[ii])
         break
      ENDIF
   ENDFOR
   IF (ii eq caln_a) THEN BEGIN
      printf, -2, 'Warning: timestamp beyond end of Ahead SEP caldb: Using Last Ahead SEP factors file'
      factors_filenm = concat_dir('$IMPACT_CALIB_DATA' , calfnames_a[caln_a -1])
   ENDIF
   IF (SCid ne 234) then BEGIN 
      printf, -2, 'Warning: Bad SCid:', SCid, '   Using Ahead SEP factors file'
   ENDIF 
ENDELSE 

IF ( (SCid eq OSCid ) AND (factors_filenm eq offile) ) THEN $
   need_to_read = 0

; print, utc2str(tai2utc(tai_time,/NOCORRECT)), "   ", factors_filenm, "   ", need_to_read

OSCid = SCid
offile = factors_filenm

END
