;***************************************************************
; Dr. Mario Acuna
; The magnetometer incorporates an internal calibrator to supperimpose a precisely known step function
; on ecah axis's output.
;    (CXic)   (b1) (CXiz)
;    (CYic) = (b2) (CYiz)
;    (CZic)   (b3) (CZiz)
;
;    where I, (bi) is a 3x1 matrix
;    nomonally 1/4 scale step
; Cic = Ciz - Ii
;***************************************************************

function mag_internal_cal, Ciz, int_cal
; This calibration function is used to make a correction for the internal calibrator
; to superimpose a precisely known step function on each axis' output
;
; Return values initialization
CXic = 0
CYic = 0
CZic = 0
    CXic = Ciz(0) - int_cal(0)
    CYic = Ciz(1) - int_cal(1)
    CZic = Ciz(2) - int_cal(2)
Cic = [CXic, CYic, CZic]

return, Cic

end; end of function

