PRO READ_SEP_BEACON_CALDB

; open caldb files for ahead and behind, read in database info
; April 20 2007, Andrew Davis, Caltech

common sep_b

openr, Aunit, SEPBEACONCALDB_A, /get_lun, error = error_flag
IF (error_flag ne 0) then BEGIN
    printf, -2, !err_string
    exit, /NO_CONFIRM, STATUS=-1
ENDIF 

openr, Bunit, SEPBEACONCALDB_B, /get_lun, error = error_flag
IF (error_flag ne 0) then BEGIN
    printf, -2, !err_string
    exit, /NO_CONFIRM, STATUS=-1
ENDIF 

tmp=''
WHILE (tmp ne 'BEGIN') DO BEGIN
   READF, Aunit, tmp
   IF EOF(Aunit) THEN BEGIN
      printf,-2, 'Premature EOF reading SEP Ahead caldb...exiting'
      free_lun, Aunit
      exit, /NO_CONFIRM, STATUS=-1
   ENDIF
ENDWHILE   

tmp=''
WHILE (tmp ne 'BEGIN') DO BEGIN
   READF, Bunit, tmp
   IF EOF(Bunit) THEN BEGIN
      printf,-2, 'Premature EOF reading SEP Behind caldb...exiting'
      free_lun, Bunit
      exit, /NO_CONFIRM, STATUS=-1
   ENDIF
ENDWHILE   

ii=0
timestr = ''
filenm = ''
WHILE (ii lt MAXCALDB) DO BEGIN
   READF, Aunit,timestr,filenm, FORMAT= '(A23,1X,A32)'
;   print, timestr, '   ',  filenm
   IF (EOF(Aunit) or (timestr eq 'ENDENDENDENDENDENDENDEN')) THEN BEGIN
;      IF (timestr eq 'ENDENDENDENDENDENDENDEN') THEN print, 'Found END'
      BREAK
   ENDIF
   timeutc = str2utc(timestr)
   caltimes_a[ii] = utc2tai(timeutc, /NOCORRECT)
   calfnames_a[ii] = filenm
   ii = ii + 1
ENDWHILE
IF (ii eq MAXCALDB) then BEGIN
    printf, -2, 'ERROR - Too many entries in SEP Ahead caldb. Max = ', MAXCALDB
    exit, /NO_CONFIRM, STATUS=-1
ENDIF 
caln_a = ii

ii=0
WHILE (ii lt MAXCALDB) DO BEGIN
   READF, Bunit,timestr,filenm, FORMAT= '(A23,1X,A33)'
;   print, timestr, '   ',  filenm
   IF (EOF(Bunit) or (timestr eq 'ENDENDENDENDENDENDENDEN')) THEN BEGIN
      BREAK
   ENDIF
   timeutc = str2utc(timestr)
   caltimes_b[ii] = utc2tai(timeutc, /NOCORRECT)
   calfnames_b[ii] = filenm
   ii = ii + 1
ENDWHILE
IF (ii eq MAXCALDB) then BEGIN
    printf, -2, 'ERROR - Too many entries in SEP Behind caldb. Max = ', MAXCALDB
    exit, /NO_CONFIRM, STATUS=-1
ENDIF 
caln_b = ii

;print, caln_a, '   ', caln_b

;FOR ii=0,caln_a - 1 DO BEGIN
;   print, ulong(caltimes_a[ii]), '   ', calfnames_a[ii]
;ENDFOR

;FOR ii=0,caln_b - 1 DO BEGIN
;   print, ulong(caltimes_b[ii]), '   ', calfnames_b[ii]
;ENDFOR

free_lun, Aunit, Bunit

END
