PRO SWEASTE_B_COMMON
;+
; Project     :	STEREO - IMPACT, SWEA, STE
;
; Name        : SWEASTE_B_COMMON
;
; Purpose     :	setup SWEA/STE beacon common block
;               (global constants and variables for SWEA/STE beacon processing)
;
; Category    :	STEREO, IMPACT, SWEA, STE
;
; Explanation :	
;
; Syntax      :	SWEASTE_B_COMMON
;
; Examples    :	
;
; Inputs      :	
;
; Opt. Inputs :	None.
;
; Outputs     :	
;
; Opt. Outputs:	None.
;
; Keywords    :	None
;
; Calls       : 
;
; Common      : sweaste_b_common
;
; Restrictions:	
;
; Side effects:	None.
;
; Prev. Hist. :	None.
;
; History     :	Version 1 (preliminary), 10-Nov-2005, Peter Schroeder,
;                  UC-Berkeley.
;
; Contact     :	peters@ssl.berkeley.edu
;-
;

common sweaste_b_common, swea_energies, SWEASTE_OFFSET, SWEASTE_BLOCKSIZE, $
   SWEAV0_A1, SWEAV0_A0, SWEAMOMCOEFFS, SWEATACC, SWEAH, SWEAK, $
   SWEAPADE0, SWEAPADE1, SWEAE0, SWEAE1

SWEASTE_OFFSET = 45
SWEASTE_BLOCKSIZE = 70
SWEAV0_A1 = 0.01243d
SWEAV0_A0 = -24.91d
SWEAMOMCOEFFS = [22d, 10d, 4d, 19d]
SWEATACC = 5.8d-3
SWEAH = 1.746d-7
SWEAK = 6.67d
SWEAPADE0 = [6,7,8,9,10,11]
SWEAPADE1 = [24,25,26,27,28,29]


end
